# eric5.Helpviewer.SiteInfo.SiteInfoDialog

Module implementing a dialog to show some information about a site.

### Global Attributes

None

### Classes

SiteInfoDialog | Class implementing a dialog to show some information about a site.

### Functions

None

## SiteInfoDialog

Class implementing a dialog to show some information about a site.

### Derived from

QDialog, Ui_SiteInfoDialog

### Class Attributes

nokStyle
okStyle

### Class Methods

None

### Methods

SiteInfoDialog | Constructor
__copyAction | Private slot to copy the image URL or the image name to the clipboard.
__imagesTreeContextMenuRequested | Private slot to show a context menu for the images list.
__saveImage | Private slot to save the selected image to disk.
on_databasesList_currentItemChanged | Private slot to show data about the selected database.
on_imagesTree_currentItemChanged | Private slot to show a preview of the selected image.
on_securityDetailsButton_clicked | Private slot to show security details.

### Static Methods

None

#### SiteInfoDialog (Constructor)

SiteInfoDialog(browser, parent=None)

Constructor

browser
  reference to the browser window (HelpBrowser)
parent
  reference to the parent widget (QWidget)

#### SiteInfoDialog.__copyAction

__copyAction()

Private slot to copy the image URL or the image name to the clipboard.

#### SiteInfoDialog.__imagesTreeContextMenuRequested

__imagesTreeContextMenuRequested(pos)

Private slot to show a context menu for the images list.

pos
  position for the menu (QPoint)

#### SiteInfoDialog.__saveImage

__saveImage()

Private slot to save the selected image to disk.

#### SiteInfoDialog.on_databasesList_currentItemChanged

on_databasesList_currentItemChanged(current, previous)

Private slot to show data about the selected database.

current
  current database entry (QTreeWidgetItem)
previous
  old current entry (QTreeWidgetItem)

#### SiteInfoDialog.on_imagesTree_currentItemChanged

on_imagesTree_currentItemChanged(current, previous)

Private slot to show a preview of the selected image.

current
  current image entry (QTreeWidgetItem)
previous
  old current entry (QTreeWidgetItem)

#### SiteInfoDialog.on_securityDetailsButton_clicked

on_securityDetailsButton_clicked()

Private slot to show security details.

Up